/* Import de fontes */

@import url('https://fonts.googleapis.com/css2?family=Kanit:wght@700&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Just+Another+Hand&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Secular+One&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Caveat:wght@700&display=swap');

/* Estilização geral */

::selection {
    background: none;
    color: #02B460;
}

body {
    /* background-color: #DDDDDD; */
    background: linear-gradient(180deg, rgba(17, 214, 122, 0.507), #DDDDDD, lightgrey, white);
    background-repeat: no-repeat;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    height: 100vh;
    opacity: 1;
    transition: 1s ease;
    height: 150vh;
}

.darkmode {
    background: #3b3b3b;
    opacity: 0.8;
}

.cont1 {
    background-color: #02B460;
    width: 100vw;
    height: 15vh;
    border-bottom-left-radius: 10%;
    border-bottom-right-radius: 10%;
    box-shadow: 0px 2px 50px #01733E;
}

.logo {
    width: 11vh;
    margin: 1vh;
}

.txtcont1 {
    font-size: 3vh;
    float: left;
    font-family: 'Kanit';
    margin: 5vh;
}

.imgcont1 {
    float: right;
    /* font-family: 'Kanit';
    font-size: 2vw; */
    margin: 2vh;
    width: 5vh;
    transition: 0.8s;
    cursor: pointer;
}

.imgcont1:hover {
    scale: 1.2;
    rotate: 25deg;
}

.contatos {
    font-family: 'Secular One', sans-serif;
    font-style: italic;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    margin-top: 10vh;
    /* text-shadow: -5px 5px 15px #3b3b3b; */
    color: #02b461d2;
    line-height: 3.5vw;
}

.entreconosco {
    font-size: 4vw;
    text-shadow: 2px 0 #333232, -2px 0 #333232, 0 2px #333232, 0 -2px #333232, 1px 1px #333232, -1px -1px #333232, 1px -1px #333232, -1px 1px #333232;
}

.contato {
    margin-left: -2.5vw;
    font-size: 14.5vw;
    font-family: 'Caveat', cursive;
    text-shadow: 2px 0 #3b3b3b, -2px 0 #3b3b3b, 0 2px #3b3b3b, 0 -2px #3b3b3b, 1px 1px #3b3b3b, -1px -1px #3b3b3b, 1px -1px #3b3b3b, -1px 1px #3b3b3b;
}

.meios {
    text-align: center;
    transition: 0.5s;
}

.meios > img {
    transition: 0.5s;
}

.meios > img:hover {
    transform: scale(1.2);
    padding-bottom: 5vh;
}

.meios > .txt {
    font-family: 'Kanit';
    transition: 0.5s;
    font-size: 3.5vh;
    margin-top: -2.5vh;
    color: #02B460;
}

.meios > .txt:hover, .minitxt:hover {
    color: #01733E;
}

.logos {
    width: 17vh;
}

.txt {
    text-decoration: none;
    color: #3b3b3b;
}

.minitxt {
    text-decoration: none;
    color: #3b3b3b;
    font-family: 'Just Another Hand';
    margin-top: -4vh;
    font-size: 4vh;
    transition: 0.5s;
    color: #02B460;
}

.minitxt:hover {
    color: #01733E;
    transform: scale(1.1);
}

.inlinenav {
    margin-top: 8vh;
    margin-bottom: 8vh;
    display: inline-block;
    background: linear-gradient(#01733E, #02B460, #015930);
    width: 18vw;
    height: 8vh;
    font-size: 3vw;
    font-weight: 500;
    border: 5px solid #3b3b3b;
    border-radius: 150px;
    margin-right: 2vw;
    margin-left: 10vw;
    vertical-align: middle;
    line-height: 8vh;
    text-align: center;
    font-family: 'Just Another Hand';
    box-shadow: -7px 7px 10px #0159307c;
    transition: 0.8s;
}

.anchor {
    text-decoration: none;
    color: #DDDDDD;
}

.inlinenav:hover {
    transform: scale(1.1);
    color: #DDDDDD;
}

/* Estilização para mobile */

@media screen and (max-width: 767px) {
    
    body {
        height: 100vh;
    }
    
    .txtcont1 {
        display: none;
        font-size: 4.5vw;
        margin: 5vh;
        margin-right: 1vh;
        margin-left: 1vh;
    }

    .contatos {
        margin-top: 5vh;
        line-height: 3.5vh;
        margin-left: -2vh;
    }

    .entreconosco {
        font-size: 8vw;        
    }

    .contato {
        font-size: 33vw;
    }

    .inlinenav {
        border: 2px solid #3b3b3b;
        width: 25vw;
        height: 3.5vh;
        margin-right: .5vw;
        margin-left: 4.8vw;
        font-size: 6.5vw;
        line-height: 3.5vh;
    }
}